# $Revision: 1.18 $, $Date: 2002/07/22 11:17:31 $
%include	/usr/lib/rpm/macros.perl
%define		pdir	IO
%define		pnam	Stty
Summary:	IO::Stty Perl module
Summary(cs):	Modul IO::Stty pro Perl
Summary(da):	Perlmodul IO::Stty
Summary(de):	IO::Stty Perl Modul
Summary(es):	Mdulo de Perl IO::Stty
Summary(fr):	Module Perl IO::Stty
Summary(it):	Modulo di Perl IO::Stty
Summary(ja):	IO::Stty Perl ⥸塼
Summary(ko):	IO::Stty  
Summary(no):	Perlmodul IO::Stty
Summary(pl):	Modu perla IO::Stty
Summary(pt_BR):	Mdulo Perl IO::Stty
Summary(pt):	Mdulo de Perl IO::Stty
Summary(ru):	  Perl IO::Stty
Summary(sv):	IO::Stty Perlmodul
Summary(uk):	  Perl IO::Stty
Summary(zh_CN):	IO::Stty Perl ģ
Name:		perl-IO-Stty
Version:	02
Release:	6
License:	unknown
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pnam}-.%{version}.tar.gz
Patch0:		%{name}-paths.patch
BuildRequires:	perl >= 5.6
BuildRequires:	rpm-perlprov >= 3.0.3-16
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
IO::Stty is a module for setting terminal parameters.

%description -l pl
IO::Stty jest moduem sucym do ustawiania parametrw terminala.

%prep
%setup -q -n %{pdir}-%{pnam}-.%{version}
%patch -p1

%build
perl Makefile.PL
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README stty.txt
%{perl_sitelib}/IO/Stty.pm
%attr(755,root,root) %{perl_sitelib}/IO/stty.pl

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-IO-Stty.spec,v $
Revision 1.18  2002/07/22 11:17:31  ankry
- fixed permissions
- translations, cleaning

Revision 1.17  2002/07/21 12:24:23  qboosh
- new %%doc

Revision 1.16  2002/07/10 08:47:44  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.15  2002/05/11 14:28:09  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.14  2002/02/22 23:29:29  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.13  2002/02/10 15:27:49  depesz
adapterized

Revision 1.12  2002/01/18 02:14:20  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.11  2001/11/28 15:20:18  mis
- buildarch noarch; release++

Revision 1.10  2001/04/17 12:11:06  baggins
- release 5
- rebuild with perl 5.6.1

Revision 1.9  2001/04/14 18:00:07  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.8  2000/11/27 05:30:16  kloczek
- release 4,
- rebuild against perl 5.6,
- remove .packlist.

Revision 1.7  2000/06/09 07:54:47  kloczek
- more %%{__make} macros.

Revision 1.6  2000/06/09 07:23:37  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/20 21:58:00  kloczek
- spec adapterized.

Revision 1.4  2000/04/01 11:15:19  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:54  baggins
- translated kloczkish into english

Revision 1.2  1999/11/05 16:52:52  pius
- added '%%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/09 23:49:20  pius
- initial release
